<VirtualHost *:80>
	ServerAdmin Adrian.Pop@liu.se
        ServerName opencps.eu
        ServerAlias www.opencps.eu

	DocumentRoot /var/www/site/opencps
	<Directory />
		Options FollowSymLinks
		AllowOverride None
	</Directory>
	<Directory /var/www/site>
		Options Indexes FollowSymLinks MultiViews
		AllowOverride None
		Order allow,deny
		allow from all
	</Directory>

	ScriptAlias /cgi-bin/ /usr/lib/cgi-bin/
	<Directory "/usr/lib/cgi-bin">
		AllowOverride None
		Options +ExecCGI -MultiViews +SymLinksIfOwnerMatch
		Order allow,deny
		Allow from all
	</Directory>

	<FilesMatch "\.(cgi|shtml|phtml|php)$">
		SSLOptions +StdEnvVars
	</FilesMatch>
	<Directory /usr/lib/cgi-bin>
		SSLOptions +StdEnvVars
	</Directory>

<Location /svn/OPENCPS>
  DAV svn
  SVNPath "/var/www/svn/OPENCPS"

  AuthType Digest
  AuthName "Trac"
  AuthDigestProvider file
  AuthUserFile "/var/www/trac/OPENCPS/conf/trac.htdigest"

  AuthzSVNAccessFile "/var/www/trac/OPENCPS/conf/acl.svn"

  Order Allow,Deny
  Allow from All

  Require valid-user
</Location>

RewriteEngine on
RewriteCond %{SERVER_NAME} =opencps.eu [OR]
RewriteCond %{SERVER_NAME} =www.opencps.eu
RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>
